Loading...
Searching...
No Matches
form_concat_line< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::form_concat_line< T, M >

Definition at line 117 of file form_concat.h.

## Public Types

typedef csr_concat_value< T, M >::size_type | size_type
typedef csr_concat_value< T, M >::sizes_type | sizes_type
typedef csr_concat_value< T, M >::sizes_pair_type | sizes_pair_type
typedef form_concat_value< T, M > | value_type
typedef std::list< value_type >::const_iterator | const_iterator

## Public Member Functions

| form_concat_line ()
| form_concat_line (const std::initializer_list< value_type > &il)
const_iterator | begin () const
const_iterator | end () const
void | build_form_pass0 (std::vector< std::pair< bool, space_basic< T, M > > > &l_Xh, space_basic< T, M > &Yh, size_t i_comp=0) const
void | build_form_pass1 (space_basic< T, M > &Xh, space_basic< T, M > &Yh) const
form_basic< T, M > | build_form_pass2 (const space_basic< T, M > &Xh, const space_basic< T, M > &Yh) const
form_basic< T, M > | build_form () const

## Static Public Member Functions

static void | build_first_space (const std::vector< std::pair< bool, space_basic< T, M > > > &l_Xh, space_basic< T, M > &Xh)

## Static Public Attributes

static constexpr size_type | undef = std::numeric_limits<size_type>::max()
static constexpr size_type | zero = 0

## Protected Attributes

std::list< value_type > | _l

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef csr_concat_value<T,M>::size_type size_type

Definition at line 122 of file form_concat.h.

## sizes_type

template<class T , class M >

typedef csr_concat_value<T,M>::sizes_type sizes_type

Definition at line 123 of file form_concat.h.

## sizes_pair_type

template<class T , class M >

typedef csr_concat_value<T,M>::sizes_pair_type sizes_pair_type

Definition at line 124 of file form_concat.h.

## value_type

template<class T , class M >

typedef form_concat_value<T,M> value_type

Definition at line 129 of file form_concat.h.

## const_iterator

template<class T , class M >

typedef std::list<value_type>::const_iterator const_iterator

Definition at line 130 of file form_concat.h.

## Constructor & Destructor Documentation

## form_concat_line() [1/2]

template<class T , class M >

form_concat_line | ( |  | ) |

Definition at line 134 of file form_concat.h.

## form_concat_line() [2/2]

template<class T , class M >

form_concat_line | ( | const std::initializer_list< value_type > & | il | ) |

Definition at line 136 of file form_concat.h.

## Member Function Documentation

## begin()

template<class T , class M >

const_iterator begin | ( |  | ) | const

Definition at line 145 of file form_concat.h.

## end()

template<class T , class M >

const_iterator end | ( |  | ) | const

Definition at line 146 of file form_concat.h.

## build_form_pass0()

template<class T , class M >

void build_form_pass0 | ( | std::vector< std::pair< bool, space_basic< T, M > > > & | l_Xh,
|  | space_basic< T, M > & | Yh,
|  | size_t | i_comp = `0`
| ) |  | const

Definition at line 36 of file form_concat.cc.

## build_first_space()

template<class T , class M >

void build_first_space | ( | const std::vector< std::pair< bool, space_basic< T, M > > > & | l_Xh,
|  | space_basic< T, M > & | Xh
| ) |  |

static

Definition at line 172 of file form_concat.cc.

## build_form_pass1()

template<class T , class M >

void build_form_pass1 | ( | space_basic< T, M > & | Xh,
|  | space_basic< T, M > & | Yh
| ) |  | const

Definition at line 189 of file form_concat.cc.

## build_form_pass2()

template<class T , class M >

form_basic< T, M > build_form_pass2 | ( | const space_basic< T, M > & | Xh,
|  | const space_basic< T, M > & | Yh
| ) |  | const

Definition at line 200 of file form_concat.cc.

## build_form()

template<class T , class M >

form_basic< T, M > build_form | ( |  | ) | const

Definition at line 228 of file form_concat.cc.

## Member Data Documentation

## undef

template<class T , class M >

constexpr size_type undef = std::numeric_limits<size_type>::max()

static constexpr

Definition at line 126 of file form_concat.h.

## zero

template<class T , class M >

constexpr size_type zero = 0

static constexpr

Definition at line 127 of file form_concat.h.

## _l

template<class T , class M >

std::list<value_type> _l

protected

Definition at line 165 of file form_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/form.h
- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/form_concat.h
- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/form_concat.cc